{
  "name": "@jupyterlab/jldbq-extension",
  "version": "1.0.0",
  "description": "JLDBQ Extension",
  "homepage": "",
  "license": "MIT",
  "author": "yili",
  "sideEffects": [
    "style/**/*.css",
    "style/index.js"
  ],
  "main": "lib/index.js",
  "types": "lib/index.d.ts",
  "style": "style/index.css",
  "directories": {
    "lib": "lib/"
  },
  "files": [
    "lib/**/*.{d.ts,eot,gif,html,jpg,js,js.map,json,png,svg,woff2,ttf}",
    "style/**/*.{css,js,eot,gif,html,jpg,json,png,svg,woff2,ttf}",
    "schema/*.json"
  ],
  "scripts": {
    "build": "tsc -b",
    "clean": "rimraf lib && rimraf tsconfig.tsbuildinfo",
    "docs": "typedoc src",
    "watch": "tsc -b --watch"
  },
  "dependencies": {
    "@emotion/react": "^11.9.0",
    "@emotion/styled": "^11.8.1",
    "@jupyterlab/application": "^3.4.3",
    "@jupyterlab/apputils": "^3.4.3",
    "@jupyterlab/settingregistry": "^3.4.3",
    "@jupyterlab/ui-components": "^3.4.3",
    "@lumino/signaling": "^1.10.0",
    "@lumino/widgets": "^1.30.0",
    "@mui/icons-material": "^5.8.0",
    "@mui/lab": "^5.0.0-alpha.83",
    "@mui/material": "^5.8.1",
    "@silevis/reactgrid": "^4.0.3",
    "antd": "^4.22.8",
    "lodash": "^4.17.21",
    "moment": "^2.29.4",
    "react": "^17.0.1",
    "react-beautiful-dnd": "^13.1.0",
    "react-hook-form": "^7.34.1",
    "react-select": "^5.4.0",
    "react-syntax-highlighter": "^15.5.0",
    "swr": "^1.3.0"
  },
  "devDependencies": {
    "@types/react-beautiful-dnd": "^13.1.2",
    "rimraf": "~3.0.0",
    "typedoc": "~0.21.2",
    "typescript": "~4.1.3"
  },
  "publishConfig": {
    "access": "public"
  },
  "jupyterlab": {
    "extension": true,
    "schemaDir": "schema"
  },
  "styleModule": "style/index.js"
}
